=== debian/changelog ===
ltrace (0.3.1) frozen unstable; urgency=low

  * setgid programs had their uid and gid swapped!  Fixed.

 -- Juan Cespedes <cespedes@debian.org>  Wed, 29 Apr 1998 19:25:11 +0200

ltrace (0.3.0) unstable; urgency=low

  * Preliminary autoconf support
  * Switched to getopt()
  * New option: -C (demangle C++ names)
  * New options: --help, --version
  * Display "format" (printf-like) argument types
  * Updated manual page
  * New option: -e

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Apr 1998 14:21:59 +0200

ltrace (0.2.9) frozen unstable; urgency=low

  * Bug#20616 wasn't completely fixed; it didn't work with some programs (Fixed)
  * Stopping ltrace with ^C DIDN'T WORK if -p option is not used!! (Fixed)
  * Option -f caused program to segfault; fixed
  * Fixed nasty bug about executing set[ug]id binaries:
    When executing a program fails, don't left the program STOPPED.
  * Make ltrace work with all setuid and setgid binaries when invoked as root

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Apr 1998 22:50:38 +0200

ltrace (0.2.8) frozen unstable; urgency=low

  * Fix important bug regarding -p: disable all breakpoints on exit (Bug#20616)
  * Compile cleanly on libc5
  * Added `-t' option (Bug#20615)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  4 Apr 1998 08:34:03 +0200

ltrace (0.2.7) unstable; urgency=low

  * Some minor fixes

 -- Juan Cespedes <cespedes@debian.org>  Sun, 15 Mar 1998 14:01:40 +0100

ltrace (0.2.6) unstable; urgency=low

  * Option `-f' now works (but it fails to attach some processes...)
  * Output is now more similar to strace's

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Mar 1998 20:50:16 +0100

ltrace (0.2.5) unstable; urgency=low

  * After a successful execve(), library calls are now logged
  * Enhanced displaying of non-printable chars
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 19:16:47 +0100

ltrace (0.2.4) unstable; urgency=low

  * Option `-p' now works (but programs fail when ltrace is interrupted)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 00:29:10 +0100

ltrace (0.2.3) unstable; urgency=low

  * Don't display `...' in strings when limit of bytes is reached
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 23:33:14 +0100

ltrace (0.2.2) unstable; urgency=low

  * After a successful execve(), syscalls are now logged correctly

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 00:02:35 +0100

ltrace (0.2.1) unstable; urgency=low

  * Added -u option (run command as other username)
  * Updated manual page a bit

 -- Juan Cespedes <cespedes@debian.org>  Tue, 10 Mar 1998 00:08:38 +0100

ltrace (0.2.0) unstable; urgency=low

  * First `unstable' release
  * Complete re-structured all the code to be able to add support for
    different architectures (but only i386 arch is supported in this
    version)
  * Log also return values
  * Log arguments (and return values) for syscalls
  * Added preliminary support for various simultaneous processes
  * getopt-like options
  * New option: -a (alignment column)
  * New option: -L (don't display library calls)
  * New option: -s (maximum # of chars in strings)
  * Now it reads config files with function names and parameter types
  * Programs using clone() should work ok now
  * debian/rules: gzipped only big files in /usr/doc/ltrace
  * New Standards-Version: 2.4.0.0
  * beginning to work on sparc port (not yet done)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  8 Mar 1998 22:27:30 +0100

ltrace (0.1.7) experimental; urgency=low

  * Internal release.
  * New Standards-Version (2.3.0.1)
  * Clean up structures a bit
  * Trying to log return values...

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Oct 1997 19:53:20 +0100

ltrace (0.1.6) experimental; urgency=low

  * New maintainer address
  * New Standards-Version

 -- Juan Cespedes <cespedes@debian.org>  Thu, 11 Sep 1997 23:22:32 +0200

ltrace (0.1.5) experimental; urgency=low

  * `command' is now searched in the PATH

 -- Juan Cespedes <cespedes@etsit.upm.es>  Wed, 27 Aug 1997 22:27:33 +0200

ltrace (0.1.4) experimental; urgency=low

  * Updated execute_process()
  * No longer uses signals to wait for children. Should be a little faster.
  * Now every function uses output.c:send_*() instead of `FILE * output'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Mon, 25 Aug 1997 16:08:36 +0200

ltrace (0.1.3) experimental; urgency=low

  * Added options `-i', `-S'
  * Added syscall names
  * Added signal names
  * Added `output.c', `signal.c'

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sun, 24 Aug 1997 01:45:49 +0200

ltrace (0.1.2) experimental; urgency=low

  * Updated ``TODO''
  * Added process.c:execute_process
  * Added i386.c:type_of_stop
  * Hopefully, system dependent stuff is now only in i386.[ch] and process.[ch]
  * `-d' can now be used many times: many levels of debug
  * removed breakpoint for children detecting fork()s.
    Now, *every* program should work ok
  * struct process now also has a field for the process filename
  * Added "syscall.c" with a list of system call names in Linux/i386

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 15:00:23 +0200

ltrace (0.1.1) experimental; urgency=low

  * Added ``TODO''
  * Added symbols.c:disable_all_breakpoints
  * Added ``process.[ch]'': init_sighandler, pid2proc
  * Removed ``trace.c''
  * Added rudimentary support for multiple processes
  * Now tracing syscalls (fork() needs a special treatment (TODO))
  * Added process.c:detach_process
  * Added i386.c:trace_me,untrace_pid

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sat, 23 Aug 1997 02:09:14 +0200

ltrace (0.1.0) experimental; urgency=low

  * Some clean-ups
  * Added simple manual page

 -- Juan Cespedes <cespedes@etsit.upm.es>  Thu, 21 Aug 1997 17:01:36 +0200

ltrace (0.0.1997.08.14) experimental; urgency=low

  * Still re-structuring code... new file: symbols.c


