=== debian/rules ===
#! /usr/bin/make -f 
#
# Copyright (C) 1997,1998 Juan Cespedes <cespedes@debian.org>

.PHONY:		binary binary-indep binary-arch clean

build:		Makefile
		$(checkdir)
		$(MAKE)
		touch build

Makefile:	Makefile.in configure
		$(checkdir)
		./configure --prefix=/usr

configure:	configure.in
		$(checkdir)
		autoconf
		autoheader

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	build
		$(checkdir)
		test root = "`whoami`" || exit 1
		$(RM) -rf debian/tmp

		install -d debian/tmp/DEBIAN
		cp debian/conffiles debian/tmp/DEBIAN
		$(MAKE) install DESTDIR=`pwd`/debian/tmp
		$(RM) debian/tmp/usr/doc/ltrace/COPYING
		cp -p debian/changelog debian/tmp/usr/doc/ltrace
		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
		cp -p debian/copyright debian/tmp/usr/doc/ltrace
		gzip -9f debian/tmp/usr/man/man1/*
		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
		dpkg-gencontrol
		chown -R root.root debian/tmp
		chmod -R u+rw,go-w debian/tmp
		dpkg --build debian/tmp ..

clean:
		$(checkdir)
		$(RM) -f build debian/files debian/substvars
		$(MAKE) distclean || $(MAKE) -f Makefile.in distclean
		$(RM) -rf debian/tmp

define checkdir
		test -f ltrace.c -a -f debian/rules
endef
