## ltrace 0.3.6

=== debian/changelog ===
ltrace (0.3.6) unstable; urgency=low

  * Added m68k port (Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>) (Bug#27075)
  * Changed "int pid" with "pid_t pid" everywhere
  * Fixed return type of some functions from "int" to "void *" (thanks, Roman)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 25 Sep 1998 14:48:37 +0200

ltrace (0.3.5) unstable; urgency=low

  * Added ARMLinux port (Pat Beirne <pbeirne@home.com>) (Bug#27040)
  * Fixed minor things in options.c

 -- Juan Cespedes <cespedes@debian.org>  Thu, 24 Sep 1998 13:18:01 +0200

ltrace (0.3.4) unstable; urgency=low

  * Added "ltrace.spec" to build a .rpm binary file.
  * Added "-r" option

 -- Juan Cespedes <cespedes@debian.org>  Sun, 20 Sep 1998 21:22:05 +0200

ltrace (0.3.3) unstable; urgency=low

  * Fixed a little bug in display_string
  * A few more functions added to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Sep 1998 14:03:10 +0200

ltrace (0.3.2) unstable; urgency=low

  * Make the output line-buffered (Bug#22874)
  * New Standards-Version (2.4.1)
  * Make it compile cleanly with glibc 2.0.7

 -- Juan Cespedes <cespedes@debian.org>  Tue, 14 Jul 1998 13:45:24 +0200
