=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 		cp debian/conffiles debian/tmp/DEBIAN
 		$(MAKE) install DESTDIR=`pwd`/debian/tmp
 		$(RM) debian/tmp/usr/doc/ltrace/COPYING
-		cp -p debian/changelog debian/tmp/usr/doc/ltrace
+		mv debian/tmp/usr/doc/ltrace/ChangeLog debian/tmp/usr/doc/ltrace/changelog
 		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
 		cp -p debian/copyright debian/tmp/usr/doc/ltrace
 		gzip -9f debian/tmp/usr/man/man1/*
