=== debian/changelog ===
ltrace (0.3.10) unstable; urgency=low

  * Added C++ demangle (again)
  * Added correct Build-Depends

 -- Juan Cespedes <cespedes@debian.org>  Thu, 23 Dec 1999 00:22:33 +0100

ltrace (0.3.9) unstable; urgency=low

  * New Standards-Version (3.1.1)
  * Fixed Lintian bugs

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 17:49:40 +0100

ltrace (0.3.8) unstable; urgency=low

  * glibc-2.1 does no longer need `_GNU_SOURCE' defined to use <getopt.h>
  * Changed description of package; adopted Red Hat's one
    (thanks to whoever wrote it)
  * Close all the file descriptors used before executing program (close-on-exec)
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Used GNU autoconf instead of "uname" to guess host system type
  * Install man page in /usr/share/man instead of /usr/man
  * Added a few functions to /etc/ltrace.conf
  * Updated list of syscalls and signals to linux-2.2.12
  * Fixed bugs in C++ demangle (Morten Eriksen <mortene@sim.no>)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 30 Aug 1999 19:34:47 +0200

ltrace (0.3.7) unstable; urgency=low

  * Minor fixes
  * Added minor patch from Alex Buell <alex.buell@tahallah.demon.co.uk>
    to be able to compile under glibc 2.1
  * Additions to config file from David Dyck <dcd@tc.fluke.com>
  * Clean-up Makefile a bit
  * Changed `LT_PT_*' with `ARGTYPE_*'
  * Display '\\' instead of '\'
  * Updated list of syscalls and signals to linux-2.2.5
  * Compiled against glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Sat,  3 Apr 1999 03:21:50 +0200
