=== debian/rules ===
#! /usr/bin/make -f 
#
# Copyright (C) 1997-1999 Juan Cespedes <cespedes@debian.org>

.PHONY:		binary binary-indep binary-arch clean

build:		Makefile config.h
		$(checkdir)
		$(MAKE)
		touch build

Makefile config.h:	configure Makefile.in config.h.in
		$(checkdir)
		./configure --prefix=/usr

configure:	configure.in
		$(checkdir)
		autoconf

config.h.in:	configure.in
		$(checkdir)
		$(RM) config.h.in
		autoheader

binary:		binary-arch binary-indep

binary-indep:

binary-arch:	build
		$(checkdir)
		test root = "`whoami`" || exit 1
		$(RM) -rf debian/tmp

		install -d debian/tmp/DEBIAN
		cp debian/conffiles debian/tmp/DEBIAN
		$(MAKE) install DESTDIR=`pwd`/debian/tmp
		$(RM) debian/tmp/usr/doc/ltrace/COPYING
		mv debian/tmp/usr/doc/ltrace/ChangeLog debian/tmp/usr/doc/ltrace/changelog
		gzip -9f debian/tmp/usr/doc/ltrace/README debian/tmp/usr/doc/ltrace/changelog
		cp -p debian/copyright debian/tmp/usr/doc/ltrace
		mv debian/tmp/usr/doc debian/tmp/usr/share
		gzip -9f debian/tmp/usr/share/man/man1/*
		install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
		install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
		dpkg-shlibdeps debian/tmp/usr/bin/ltrace
		dpkg-gencontrol
		chown -R root.root debian/tmp
		chmod -R u=rwX,go=rX debian/tmp
		dpkg --build debian/tmp ..

clean:		configure config.h.in
		$(checkdir)
		$(RM) -f build debian/files debian/substvars
		-$(MAKE) distclean
		$(RM) -rf debian/tmp

define checkdir
		test -f ltrace.c -a -f debian/rules
endef
