## ltrace 0.3.26

=== sysdeps/linux-gnu/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ARCH	:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
 
-CFLAGS	+=	-I$(TOPDIR)/sysdeps/Linux/$(ARCH)
+CFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)
 
-OBJ	=	trace.o proc.o
+OBJ	=	trace.o proc.o breakpoint.o
 
 all:		sysdep.h signalent.h syscallent.h ../sysdep.o
