=== debian/changelog ===
ltrace (0.3.26) unstable; urgency=low

  * Fixed `ltrace -L' in powerpc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 20:53:49 +0200

ltrace (0.3.25) unstable; urgency=low

  * Finally added powerpc support (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 31 Mar 2002 19:58:25 +0200

ltrace (0.3.24) unstable; urgency=low

  * Fixed 2 minor buffer overflows (closes: Bug#130746)
  * Obey --prefix, --sysconfdir, --mandir options in configure
  * Adding powerpc support (doesn't work yet)
    (Anton Blanchard <anton@samba.org>)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 27 Mar 2002 00:20:57 +0100

ltrace (0.3.23) unstable; urgency=low

  * Fixed missing include <unistd.h> in trace.c
  * One arch-dependent function less (continue_after_breakpoint)
  * Fixed S/390 port (it didn't compile yet...)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 18:58:36 +0100

ltrace (0.3.22) unstable; urgency=low

  * S/390: Removed extra target in sysdeps/linux-gnu/s390 which avoided
    compiling...

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 14:04:38 +0100

ltrace (0.3.21) unstable; urgency=low

  * Get rid of arch/breakpoint.c; we can do it arch-independent

 -- Juan Cespedes <cespedes@debian.org>  Sun,  3 Mar 2002 02:37:46 +0100

ltrace (0.3.20) unstable; urgency=low

  * Added s390 port (Timothy R. Fesig <slate@us.ibm.com>)
  * Modified configure process to use ltrace.spec.in to generate
    ltrace.spec (Timothy R. Fesig <slate@us.ibm.com>)
  * Fixed some problems using ltrace.spec on Intel platform.
                (Timothy R. Fesig <slate@us.ibm.com>)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Mar 2002 23:33:00 +0100

ltrace (0.3.19) unstable; urgency=low

  * Fixed small bug: "<unifinished...>" lines were sometimes incorrectly
    displayed
  * Added new functions to /etc/ltrace.conf (thanks to James R. Van Zandt
    <jrv@vanzandt.mv.com>)                          (closes: Bug#91349)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 21:05:37 +0100

ltrace (0.3.18) unstable; urgency=low

  * Simplified arch-dependent stuff
  * Updated list of syscalls and signals to Linux 2.4.18
  * Unified coding-style of all function declarations
  * Do not indent lines indicating signals, exit codes, etc
  * Updated description
  * fix off-by-one problem in checking syscall number (Tim Waugh
    <twaugh@redhat.com> fixed this problem in RedHat two years ago;
    thank you for NOT noticing me...)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Mar 2002 19:52:43 +0100

ltrace (0.3.17) unstable; urgency=low

  * Added a bit more debugging
  * Fixed display of return address in nested functions
  * Added posibility to exit from a function different from the last called
    one (this fixes "ltrace gnome-terminal", for example)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 25 Feb 2002 00:19:19 +0100

ltrace (0.3.16) unstable; urgency=low

  * ltrace works again after an execve is received (closes: Bug#108835)
  * Added prototypes for fnmatch() and bsearch()   (closes: Bug#106862)
  * Re-wrote short description so it does not exceed 60 chars
                                                   (closes: Bug#114682)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 10 Dec 2001 04:11:26 +0100

ltrace (0.3.15) unstable; urgency=low

  * Fixed `-n' option so that it displays correct output even when
    tracing several processes

 -- Juan Cespedes <cespedes@debian.org>  Mon,  9 Jul 2001 01:02:46 +0200

ltrace (0.3.14) unstable; urgency=low

  * Assume a syscall is always immediatly followed by a sysret
    in i386 (fixes bug which prevented ltrace to work properly
    in any program using signals); I will have to rethink all
    this and fix it correctly or port it to non-i386 archs
  * Fixed -n option: now it is done in output.c (this still has
    problems when tracing more than one process at a time)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  7 Jul 2001 20:56:42 +0200

ltrace (0.3.13) unstable; urgency=low

  * Fixed "ltrace -i", broken since version 0.3.11

 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 18:36:15 +0200

ltrace (0.3.12) unstable; urgency=low

  * Re-wrote of "elf.c" (Silvio Cesare <silvio@big.net.au>)
  * Added "--library" option (Silvio)
  * Updated list of syscalls and signals to Linux 2.4.5
  * Compile cleanly with gcc-3.0 (thanks to Frdric L. W. Meunier)
 
 -- Juan Cespedes <cespedes@debian.org>  Tue,  3 Jul 2001 00:43:25 +0200

ltrace (0.3.11) unstable; urgency=low

  * Clean up lintian bugs
  * Fixed small bug reading start of arguments in config file
  * Keep a stack of nested calls (Morten Eriksen, 1999-07-04)
  * Add "--indent" option (Morten Eriksen, 1999-07-04)
  * cleans up connection between a breakpoint address and
    a call instance (Morten Eriksen, 1999-07-04)
  * New Standards-Version (3.5.5)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  2 Jul 2001 00:24:11 +0200
