## ltrace 0.3.31

=== debian/changelog ===
ltrace (0.3.31) unstable; urgency=low

  * Added a lot of functions to ltrace.conf,
    thanks to Jakub Jelinek <jakub@redhat.com>    (closes: Bug#144518)
  * Fixed off-by-one problem in checking syscall number
  * Removed some warnings

 -- Juan Cespedes <cespedes@debian.org>  Tue, 04 Feb 2003 23:22:46 +0100

ltrace (0.3.30) unstable; urgency=low

  * Implemented -T option (show time spent inside each call)
  * Alphabetically sort options in help and manual page
  * Added -c option (summary of calls on program exit)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 03 Feb 2003 00:22:28 +0100

ltrace (0.3.29) unstable; urgency=low

  * Align return values depending on screen width
  * Updated list of syscalls and signals to Linux 2.4.20
  * Fixed bug introduced in 0.3.27 which caused -L option to segfault

 -- Juan Cespedes <cespedes@debian.org>  Sat, 01 Feb 2003 19:01:39 +0100

ltrace (0.3.28) unstable; urgency=medium

  * Fixed memory corruption when using execve() in a traced program
                                      (closes: Bug#160341, Bug#165626)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 19:51:28 +0100

ltrace (0.3.27) unstable; urgency=low

  * Removed dependency on libdl (it is no longer needed)
  * Wrote generic dictionary, used in demangle.c and breakpoints.c
  * Added debug.c for better debugging output

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Jan 2003 18:58:55 +0100
