=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 3.5.5
+Standards-Version: 3.5.6
 Build-Depends: binutils-dev
 
 Package: ltrace
