=== debian/changelog ===
ltrace (0.3.35) unstable; urgency=low

  * Fixed include line in m68k, caused build problems

 -- Juan Cespedes <cespedes@debian.org>  Fri, 16 Jul 2004 18:00:10 +0200
