=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: binutils-dev
 
 Package: ltrace
-Architecture: i386 arm m68k s390 powerpc
+Architecture: i386 arm m68k s390 powerpc sparc alpha amd64
 Depends: ${shlibs:Depends}
 Description: Tracks runtime library calls in dynamically linked programs
  ltrace is a debugging program which runs a specified command until it
