=== sysdeps/linux-gnu/ia64/Makefile ===
OBJ	=	trace.o regs.o plt.o breakpoint.o

all:		arch.o

arch.o:		$(OBJ)
		$(LD) -r -o arch.o $(OBJ)

clean:
		$(RM) $(OBJ) arch.o
