## ltrace 0.5+r80-0~osmrc1-1

=== debian/changelog ===
ltrace (0.5+r80-0~osmrc1-1) unstable; urgency=low

  * Fixed missing build-dependency for quilt.
  * Fixes: NB#65675

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  3 Oct 2007 13:54:01 +0300

ltrace (0.5+r80-0~osmrc1) unstable; urgency=low

  * INdT OSMRC release
  * Fix ltrace warnings when target application is built with Glibc 2.5
  * Fixes to clone() - related issues

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  3 Oct 2007 13:09:13 +0300

ltrace (0.5-2) unstable; urgency=low

  * Fixed compilation issue in ppc

 -- Juan Cespedes <cespedes@debian.org>  Fri, 31 Aug 2007 13:53:27 +0200

ltrace (0.5+20070629-0~osmrc3) unstable; urgency=low

  * INdT OSMRC release
  * Fix support for ARM targets
  * Fix exec() tracing testcase cleanup.
  * Fix memory corruption when loading function prototypes from ltrace.conf.
  * Save function argument registers that may be overwritten during function
    call.
  * Partially revert change in r77 that broke fork() tracing.
  * Add ARM Thumb mode support.
  * Fixes: NB#64726

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed,  8 Aug 2007 11:49:04 +0300

ltrace (0.5-1) unstable; urgency=low

  * New upstream version
  * Remove some unneeded files in /usr/share/doc (ChangeLog, COPYING...)
  * Fix several typos (closes: Bug#372928)
  * Added more system calls to ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Thu, 30 Aug 2007 14:54:44 +0200

ltrace (0.4-2) unstable; urgency=low

  * Use fclose() to close the output file when using option '-o'
    (thanks to GuiJianfeng <jianfenggui@gmail.com>)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 07 Aug 2007 11:49:27 +0200

ltrace (0.4-1) unstable; urgency=low

  * Rebase code from Redhat patches, now everything lives in SVN
  * Closes: #297483,#315889,#318009 -- add PowerPC64 support
  * Add s390x, ppc64 support
  * This removes the patch from #257903 as it seems unnecessary now.

 -- Ian Wienand <ianw@ieee.org>  Tue, 21 Feb 2006 09:23:09 +1100

ltrace (0.3.38-1) unstable; urgency=low

  * Closes: 306862 -- Add IA64 support

 -- Ian Wienand <ianw@ieee.org>  Fri, 17 Feb 2006 11:17:46 +1100

ltrace (0.3.37-2) unstable; urgency=low

  * Convert to use CDBS
  * Use CDBS to build control; you need to run
  DEB_AUTO_UPDATE_DEBIAN_CONROL=yes ./debian/rules clean
  to make the control file if you checkout from CVS
  * Remove autoconf from build-deps, fix up upstream dist target so we don't
    need it.

 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 22:56:14 +1100

ltrace (0.3.37-1) unstable; urgency=low

  [ Ian Wienand ]
  * Non-maintainer upload
  * Start a "friendly takeover" from Juan
  * Closes: #127503,#280608 -- update man page typos
  * Closes: #339348 -- fix putenv typo in ltrace.conf
  * Closes: #257903 -- incorporate variable length args patch
  * Closes: #282051 -- demange names when -c used with -C
  * Closes: #352389 -- pass build flags through to Makefile
  * Closes: #155571 -- add note in man page about dlopened libraries
  * See "upstream" ChangeLog for other changes (mostly warning fixes)
  * Update README to point to Alioth home: http://ltrace.alioth.debian.org

  [ Christoph Berg ]
  * Create non-native package.
  * Add autoconf to build-deps
  
 -- Ian Wienand <ianw@ieee.org>  Thu, 16 Feb 2006 11:51:32 +1100

ltrace (0.3.36-2) unstable; urgency=low

  * Corrected path for Debian changelog

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:33:21 +0100

ltrace (0.3.36-1) unstable; urgency=low

  * Changed distribution to pristine source
  * New Standards-Version (3.6.1)
  * Fixed "--indent" option (closes: Bug#265185)

 -- Juan Cespedes <cespedes@debian.org>  Wed, 10 Nov 2004 00:14:19 +0100

ltrace (0.3.35.1) unstable; urgency=low

  * Non-maintainer upload
  * Applied patch from Jakub Jelinek <jakub@redhat.com> to fix problems with
    binaries built with recent binutils (closes: #274955)
  * Applied patch from Jakub Jelinek to add long/ulong types to ltrace.conf
    for amd64
  * Applied patch from Jakub Jelinek to fix -C
  * Applied patch from Jakub Jelinek to update syscallent.h
  * debian/control: build-depend on dpatch and libelfg0-dev
  * debian/rules: add dpatch support
  * debian/changelog: convert to utf-8

 -- Andrew Pollock <apollock@debian.org>  Fri, 22 Oct 2004 21:43:16 +1000
