=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Juan Cespedes <cespedes@debian.org>
-Standards-Version: 3.5.6
-Build-Depends: binutils-dev
+Uploaders: Ian Wienand <ianw@debian.org>
+Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), binutils-dev, libelfg0-dev, quilt
 
 Package: ltrace
-Architecture: i386 arm m68k s390 powerpc sparc alpha amd64
+Architecture: i386 arm m68k s390 powerpc sparc alpha amd64 ia64 ppc64 armel
 Depends: ${shlibs:Depends}
 Description: Tracks runtime library calls in dynamically linked programs
  ltrace is a debugging program which runs a specified command until it
