=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PATCHDIRS = debian/patches

install/ltrace::
	rm -f debian/ltrace/usr/share/doc/ltrace/*
