## ltrace 0.5.3

=== testsuite/Makefile ===
# Copyright (C) 1992 - 2001 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOMAKE_OPTIONS = dejagnu
EXPECT 	= 	expect
RUNTEST = 	runtest
CC	=	@CC@

srcdir = 	.
RUNTESTDEFAULTFLAGS = --srcdir $(srcdir)

CLEANFILES = *.log *.sum site.bak setval.tmp site.exp

SUBDIRS = ltrace.main ltrace.minor ltrace.torture

#all: all-recursive

.SUFFIXES:

check-DEJAGNU: site.exp
	EXPECT=$(EXPECT); export EXPECT;
	@$(RUNTEST) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS);

site.exp:
	@echo 'Making a new site.exp file...'
	@echo '## these variables are automatically generated by make ##' >site.tmp
	@echo '# Do not edit here.  If you wish to override these values' >>site.tmp
	@echo '# edit the last section' >>site.tmp
	@echo 'set srcdir $(srcdir)' >>site.tmp
	@echo "set objdir `pwd`" >>site.tmp
	@echo '## All variables above are generated by configure. Do Not Edit ##' >>site.tmp
	@test ! -f site.exp || \
	sed '1,/^## All variables above are.*##/ d' site.exp >> site.tmp
	@-rm -f site.bak
	@test ! -f site.exp || mv site.exp site.bak
	@mv site.tmp site.exp

check: check-DEJAGNU

clean:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making clean in $$subdir"; \
	(cd $$subdir && $(MAKE) clean ) done;
	
	-rm -f $(CLEANFILES)

distclean:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	echo "Making clean in $$subdir"; \
	(cd $$subdir && $(MAKE) distclean ) done;
	-rm -f $(CLEANFILES)

.PHONY: $(RECURSIVE_TARGETS) check  clean distclean realclean

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
