=== sysdeps/linux-gnu/Makefile ===
--- 
+++ 
@@ -1,9 +1,16 @@
-ARCH		:=	$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
-			-e s/arm.*/arm/ -e s/sa110/arm/ -e s/ppc64/ppc/ -e s/s390x/s390/)
+ARCH		:=	$(shell uname -m | sed \
+				-e s/i.86/i386/ \
+				-e s/sun4u/sparc64/ \
+				-e s/sparc64/sparc/ \
+				-e s/arm.*/arm/ \
+				-e s/sa110/arm/ \
+				-e s/ppc64/ppc/ \
+				-e s/s390x/s390/ \
+			)
 
 CPPFLAGS	+=	-I$(TOPDIR)/sysdeps/linux-gnu/$(ARCH)
 
-OBJ		=	trace.o proc.o breakpoint.o
+OBJ		=	events.o trace.o proc.o breakpoint.o
 
 all:		sysdep.h signalent.h syscallent.h arch_syscallent.h signalent1.h syscallent1.h ../sysdep.o
